module Names where



import Pretty



data Name = Name String deriving (Eq, Ord, Show)

instance Pretty Name where
	pretty (Name n) = n



-- A CName is a capitalized name, as for a constructor or type. The code isn't very consistent about
-- where to use Name and where to use CName, though.
type CName = Name